/***************************************************************************

    supportware
    Copyright (C) 2001-2007 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#include <sxsites.h>
#include <sxpageasp.h>


#include <sxpagepager.h>

#include <dditemlink.h>
#include <sys/time.h>
#include <time.h>

#include <sxpagenews.h>
#include <sxpageforum.h>
#include <sxpagefaqs.h>
#include <sxpagemembers.h>
#include <sxpagesearch.h>
#include <sxpageadmin.h>
#include <sxblockmenu.h>



#include <sxpagerss.h>


/**
	Constructor.
*/

sxsitecomputer::sxsitecomputer()
{
	// digikam, modding nach hw sonstige
	_groupidmapper[ "28" ] = "15";
	_groupidmapper[ "53" ] = "15";
	// nt, 2000, 95, 98, me nach  win-klassik
	_groupidmapper[ "53" ] = "4";
	_groupidmapper[ "53" ] = "5";
	_groupidmapper[ "53" ] = "6";
	_groupidmapper[ "53" ] = "35";

	// modem, telko, nach isdn
	_groupidmapper[ "53" ] = "7";
	_groupidmapper[ "53" ] = "7";


	// ex rewrite_path
	/*
			39 DOS:								BS-Sonstige : 		36 38 19 37
			42 Lotus:							SW-Sonstige
			15 Hardware:					HW-Sonstiges
			10 Netzwerk:					NW-Sonstiges
			27 Entwicklerforum: 	Prg-Sonstiges


			--
			23 Access:						Datenbanken				32
			18 DTP:								Bildbearbeitung
			11 Sound:							Audio/mp3/Video
	*/
	_groupidmapper[ "36" ] = "39";
	_groupidmapper[ "37" ] = "39";
	_groupidmapper[ "19" ] = "39";

	_groupidmapper[ "32" ] = "23";

	_groupidmapper[ "24" ] = "34";
	_groupidmapper[ "25" ] = "34";
	_groupidmapper[ "26" ] = "34";


}


/**
	Destructor.
*/

sxsitecomputer::~sxsitecomputer()
{
}



/**
	Die Seitengeneratoren initialisieren.
*/

void sxsitecomputer::init_pagelets()
{

	new sxblockmenu		(	"site.xx_box_menu", 			this );
	new sxblockgroups	( "site.sx_block_groups", 	this );

	new sxblockpics		( "site.sx_block_pics", 		this );
	new sxblockrelated( "site.sx_block_related", 	this );
	new sxblockfaqs		( "site.sx_block_faqs",		 	this );

	//new sxblockmemberbox( "site.sx_block_memberbox",this );
	//new sxblockteambox	( "site.sx_block_teambox",	this );
	//new sxblockchannel( 			"site.sx_block_channel1",	this, true );
	//new sxblockchannel( 			"site.sx_block_channel2",	this, false );

	new sxblocknavigator ( "site.sx_block_navigator", this );
	new sxblockstatistics( "site.sx_block_statistics",this );
	new sxblocksysmessage( "site.sx_block_sysmessage",this );

  /*
	size_t idcount = get_config()["main"].get_int( "show_archive_links_news", 3000000 );
	new sxblockarchive( 			"site.sx_block_archive_news", 	this, idcount );
	idcount = get_config()["main"].get_int( "show_archive_links_faqs", 3000000 );
	new sxblockarchive( 			"site.sx_block_archive_faqs", 	this, idcount );
	idcount = get_config()["main"].get_int( "show_archive_links_forum", 3000000 );
	new sxblockarchive( 			"site.sx_block_archive_forum", 	this, idcount );
	// -- pages
  */

	// startseite, früher '/home', jetzt '/' und '/mostwanted'
	new sxpageforumstart(			"sxpageforumstart",		this );
	// '/forum'
	new sxpageforumoverview(	"sxpageforumoverview",		this );
	// '/groups'
	new sxpageforumgroups(		"sxpageforumgroups",			this );
	// '/t'
	new sxpageforumthread(		"sxpageforumthread",			this );
	// '/listthread' und '/threads'
	new sxpageforumthreadold( "sxpageforum",	"listthread",	this );
	new sxpageforumthreadold(	"sxpageforumold","threads",		this );


	new sxpagefaqs(					"sxpagefaqs",							this, "Tipps &amp; Infos zum Thema Computer und Internet" );
	new sxpagenews( 					"sxpagenews",							this, "News zum Thema Computer und Internet" );

	new sxpagemembers( 				"sxpagemembers", 					this );

	new sxpageadmin( 					"sxpageadmin",						this );

	new ddwebpagestatic(			"snautopages",						this );
	new sxpagehelp(						"sxpagehelp",							this );

	new sxpagesearch( 				"sxpagesearch",  		 			this );
	new sxpagesearchadmin(		"sxpagesearchadmin", 			this );

	new sxpagepager(  				"sxpagepager", 			 			this );


}

